de.esprit.appsuite.swversion

## Class SoftwareVersion

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.swversion.SoftwareVersion

- All Implemented Interfaces:
    Renderable, Dumpable, java.lang.Comparable<SoftwareVersion>

      public class SoftwareVersion
      extends DumpableObject
      implements java.lang.Comparable<SoftwareVersion>, Renderable

  This class encapsulates a particular version of a software which may be installed on the local system.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SoftwareVersion(java.lang.String versionName, java.io.File installationDir, java.lang.String executableName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SoftwareVersion otherVersion)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.io.File` | `getExecutableFile()`
    `java.lang.String` | `getExecutableName()`
    `java.io.File` | `getInstallationDir()`
    `java.awt.Color` | `getRenderColor()`
    `javax.swing.Icon` | `getRenderIcon()`
    `java.lang.String` | `getRenderText()`
    `java.lang.String` | `getVersionName()`
    `int` | `hashCode()`
    `boolean` | `isInstalled()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SoftwareVersion

          public SoftwareVersion(java.lang.String versionName,
                         java.io.File installationDir,
                         java.lang.String executableName)

  - ### Method Detail

    - #### getExecutableName

          public java.lang.String getExecutableName()

    - #### getExecutableFile

          public java.io.File getExecutableFile()

    - #### getInstallationDir

          public java.io.File getInstallationDir()

    - #### getVersionName

          public java.lang.String getVersionName()

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `Renderable`

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`

    - #### isInstalled

          public boolean isInstalled()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(SoftwareVersion otherVersion)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<SoftwareVersion>`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.